seduction
 Language:
Welcome, Guest. Please login or register.
Did you miss your activation email?
2019/12/06, 21:22:02


Help

Author [EN] [PL] [ES] [PT] [IT] [DE] [FR] [NL] [TR] [SR] [AR] [RU] Topic: [solved] util-linux bug warning  (Read 1577 times)

0 Members and 1 Guest are viewing this topic.

Offline dibl

  • siduction community member
  • Global Moderator
  • User
  • *****
  • Posts: 1.931
    • Land of the Buckeye
[solved] util-linux bug warning
« on: 2015/05/22, 11:51:34 »
Looks a little stormy in the debiansee this morning:


Code: [Select]
....
Parsing Found/Fixed information... Done
grave bugs of util-linux (2.26.2-3 → 2.26.2-4) <Pending Upload>
 b1 - #786469 - sysvinit-utils, util-linux: can't upgrade - 'installation run will require temporarily removing the essential package'
Summary:
 util-linux(1 bug)
Are you sure you want to install/upgrade the above packages? [Y/n/?/...]
« Last Edit: 2015/05/22, 18:45:50 by musca »
Asus ROG STRIX X299-E, Core i7-7740X, Nvidia GTX-1060, dual monitors, SSD 860 EVO, 2@WD1003FZEX in BTRFS

Offline michaa7

  • User
  • Posts: 2.126
Re: util-linux bug warning
« Reply #1 on: 2015/05/22, 13:09:57 »
No problem here ... but I use sysvinit.

It seems the dependencies of util-linux got a bit messy.
Ok, you can't code, but you still might be able to write a bug report for Debian's sake

Offline musca

  • Global Moderator
  • User
  • *****
  • Posts: 725
  • sid, fly high!
Re: util-linux bug warning
« Reply #2 on: 2015/05/22, 13:52:42 »
Hello dibl,

you can do it with:
Code: [Select]
apt-get -o Apt::Force-Loopbreak=true dist-upgrade
This will remove the util-linux package and install it again without any further confirmation question.

Oh michaa7, so you have been rick-rolled by the systemd-haters?
I'm sorry to hear you have been pulled to the dark side of the force. Good Luck anyway!

greetings
musca
„Es irrt der Mensch, solang er strebt.“  (Goethe, Faust)

Offline dibl

  • siduction community member
  • Global Moderator
  • User
  • *****
  • Posts: 1.931
    • Land of the Buckeye
Re: util-linux bug warning
« Reply #3 on: 2015/05/22, 14:41:17 »

you can do it with:
Code: [Select]
apt-get -o Apt::Force-Loopbreak=true dist-upgrade
This will remove the util-linux package and install it again without any further confirmation question.


Good news!  Yes, the d-u went through correctly with that command -- thank you very much.  In the new error message, I read that the bug is fixed in util-linux 2.26.2-5, but that one is not yet in the repo.


Other news -- the new nvidia driver in the experimental repo appears to be broken.  I'll make a new post on that topic.


Thanks again musca.
Asus ROG STRIX X299-E, Core i7-7740X, Nvidia GTX-1060, dual monitors, SSD 860 EVO, 2@WD1003FZEX in BTRFS

Offline musca

  • Global Moderator
  • User
  • *****
  • Posts: 725
  • sid, fly high!
[solved:] util-linux upgrade
« Reply #4 on: 2015/05/22, 18:45:24 »
Hello,
now the fixed util-linux 2.26.2-5 is in the repo
Get:5 http://ftp.de.debian.org/debian/ unstable/main util-linux amd64 2.26.2-5 [830 kB]

cheers
musca
„Es irrt der Mensch, solang er strebt.“  (Goethe, Faust)

Offline michaa7

  • User
  • Posts: 2.126
Re: util-linux bug warning
« Reply #5 on: 2015/05/22, 22:03:44 »
...

Oh michaa7, so you have been rick-rolled by the systemd-haters?
I'm sorry to hear you have been pulled to the dark side of the force. Good Luck anyway!

greetings
musca

And why got my off-topic answer to an off-topic comment deleted?
Ok, you can't code, but you still might be able to write a bug report for Debian's sake

Offline musca

  • Global Moderator
  • User
  • *****
  • Posts: 725
  • sid, fly high!
Re: [solved] util-linux bug warning
« Reply #6 on: 2015/05/22, 22:43:56 »
Hello michaa7,

I didn't delete anything, but i moved one german comment from here to the german thread.
Perhaps this action has had an unwanted side affect on your answer. Feel free to repeat your comment

I don't think this issue has anything to do with systemd vs. sysvinit at all.

greetings
musca
„Es irrt der Mensch, solang er strebt.“  (Goethe, Faust)

Offline michaa7

  • User
  • Posts: 2.126
Re: [solved] util-linux bug warning
« Reply #7 on: 2015/05/22, 23:59:54 »
...

I don't think this issue has anything to do with systemd vs. sysvinit at all.


Neither do I.

But I mentioned my configuration due to the output dibl cited: ... sysvinit-utils ... . I mistook this this for a dependency, and probabely I was wrong about that. But it had nothing to to with any kind of "vs." That's why I posted an answer which was at least as illuminated as your comment about whoever being rick-rolled or pushed. I simply kept what we all used for a long time, in whichever dark or bright place in the world we lived. I may catch up with you, whenever I want, if I want.
Ok, you can't code, but you still might be able to write a bug report for Debian's sake